<?php
/*
Fruity - A Nagios Configuration Tool
Copyright (C) 2005 Groundwork Open Source Solutions

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*
* session.php
* Modified: 6/10/03
* Description:
* Session Initialization Functions And Initalizes the Session
*/

// Include Required Libraries
if(isset($GLOBALS['ADODB_SESSION_DRIVER'])) {
	include_once("adodb/session/adodb-session.php");
	ADODB_Session::dataFieldName('SESSIONDATA');
}

function begin_session($notvalid = 0) {
	global $session_config;
	global $path_config;
	session_start();	// Start the session
	session_register("logged_in");
	$_SESSION["logged_in"] = 0;
	session_register("username");
	$_SESSION["username"] = NULL;
	session_register("session_secret");
	$_SESSION["session_secret"] = $session_config['session_secret'];
	session_register("uid");
	$_SESSION['uid'] = -1;
	header("Refresh: 0; URL=".$path_config['doc_root']. "login.php");
	die();
}

function verify_session() {
	global $session_config;
	global $path_config;
	session_start();	// Restart Session
	if($_SESSION["session_secret"] <> $session_config['session_secret'] || ($_SERVER['PHP_SELF'] != $path_config['doc_root'] .'login.php' && $_SESSION['logged_in'] == '0')) {
		begin_session(1);	// Start New Session
	}
	return;
}

// Call Verify Session To Begin Page Load
verify_session();

?>
